<?php 
$ruta="../../../";
include_once($ruta."class/persona.php");
$persona=new persona; 
include_once($ruta."class/personagrupo.php");
$personagrupo=new personagrupo; 
include_once($ruta."class/domicilio.php");
$domicilio=new domicilio; 
include_once($ruta."class/codeudor.php");
$codeudor=new codeudor; 
include_once($ruta."funciones/funciones.php");
//extract($_POST);
extract($_GET);

    $existe=$persona->mostrarTodo("carnet='$carnet'");
    if(count($existe)>0)
    {
	   $per=$persona->mostrarUltimo("carnet='$carnet'");
	   //$per=array_shift($per);
	   $IDpersona=$per['idpersona'];
	   $dom=$domicilio->mostrarTodo("idpersona=".$IDpersona);
	   $dom=array_shift($dom);

	   $existe2=$codeudor->mostrarTodo("idpersona=".$idperdeudor." and idpersonacodeu=".$IDpersona." and estado=1");
	   if (count($existe2)>0) 
	   {
	   		//El numero de carnet ya es codeudor de otra persona echo 2
	   	        $arrayJSON['tipo']='2';
				$arrayJSON['idpersonaImp']=$IDpersona; 
				$arrayJSON['expedido']=$per['expedido'];
				$arrayJSON['nombre']=$per['nombre'];
				$arrayJSON['paterno']=$per['paterno'];
				$arrayJSON['materno']=$per['materno'];
				$arrayJSON['fechanac']=$per['nacimiento'];
				$arrayJSON['email']=$per['email'];
				$arrayJSON['celular']=$per['celular'];
				$arrayJSON['sexo']=$per['idsexo'];
				$arrayJSON['ocupacion']=$per['ocupacion'];

				//domicilio
				$arrayJSON['zona']=$dom['idbarrio'];
				$arrayJSON['direccion']=$dom['nombre'];
				$arrayJSON['telefono']=$dom['telefono'];
				echo json_encode($arrayJSON); 
	   }else{
	   		//actualizar persona y registrar como codeudor echo 3	   	 	
	   	        $arrayJSON['tipo']='3';
				$arrayJSON['idpersonaImp']=$IDpersona; 
				$arrayJSON['expedido']=$per['expedido'];
				$arrayJSON['nombre']=$per['nombre'];
				$arrayJSON['paterno']=$per['paterno'];
				$arrayJSON['materno']=$per['materno'];
				$arrayJSON['fechanac']=$per['nacimiento'];
				$arrayJSON['email']=$per['email'];
				$arrayJSON['celular']=$per['celular'];
				$arrayJSON['sexo']=$per['idsexo'];
				$arrayJSON['ocupacion']=$per['ocupacion'];

				//domicilio
				$arrayJSON['zona']=$dom['idbarrio'];
				$arrayJSON['direccion']=$dom['nombre'];
				$arrayJSON['telefono']=$dom['telefono'];
				echo json_encode($arrayJSON); 
	   }
 
	}else{
		 //REGISTRAR NUEVO echo '1';
		$arrayJSON['tipo']='1';
		$arrayJSON['idpersonaImp']='0'; //flag cero para tener cntrol de que no se encuentra persona
		$arrayJSON['expedido']='LP';
		$arrayJSON['nombre']='';
		$arrayJSON['paterno']='';
		$arrayJSON['materno']='';
		$arrayJSON['fechanac']='';
		$arrayJSON['email']='';
		$arrayJSON['celular']='';
		$arrayJSON['sexo']=1;
		$arrayJSON['ocupacion']='';

		//domicilio
		$arrayJSON['zona']='';
		$arrayJSON['direccion']='';
		$arrayJSON['telefono']='';
		echo json_encode($arrayJSON);
	}
	
?>